org.apache.axiom.om

## Interface OMDocType

- All Superinterfaces:
    OMInformationItem, OMNode, OMSerializable

      public interface OMDocType
      extends OMNode

  Interface OMDocType

- - ### Field Summary

    - ### Fields inherited from interface org.apache.axiom.om.OMNode

      `CDATA_SECTION_NODE, COMMENT_NODE, DTD_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, PI_NODE, SPACE_NODE, TEXT_NODE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInternalSubset()` Get the internal subset.
    `String` | `getPublicId()` Get the public ID of the external subset.
    `String` | `getRootName()` Get the root name, i.e. the name immediately following the `DOCTYPE` keyword.
    `String` | `getSystemId()` Get the system ID of the external subset.

    - ### Methods inherited from interface org.apache.axiom.om.OMNode

      `buildWithAttachments, detach, discard, getNextOMSibling, getParent, getPreviousOMSibling, getType, insertSiblingAfter, insertSiblingBefore, serialize, serialize, serialize, serialize, serializeAndConsume, serializeAndConsume, serializeAndConsume, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMSerializable

      `build, close, isComplete, serialize, serialize, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMInformationItem

      `clone, getOMFactory`

- - ### Method Detail

    - #### getRootName

          String getRootName()

      Get the root name, i.e. the name immediately following the `DOCTYPE` keyword.
      Returns:
        the root name; must not be `null`

    - #### getPublicId

          String getPublicId()

      Get the public ID of the external subset.
      Returns:
        the public ID, or `null` if there is no external subset or no public ID has been specified for the external subset

    - #### getSystemId

          String getSystemId()

      Get the system ID of the external subset.
      Returns:
        the system ID, or `null` if there is no external subset

    - #### getInternalSubset

          String getInternalSubset()

      Get the internal subset.
      Returns:
        the internal subset, or `null` if there is none

Copyright © The Apache Software Foundation. All Rights Reserved.